### Virtual Method

# Camel StreamBuffer init_vbuf

#### Declaration [src]

    void
    init_vbuf (
      CamelStreamBuffer* stream_buffer,
      CamelStream* stream,
      CamelStreamBufferMode mode,
      gchar* buf,
      guint32 size
    )

#### Description

No description available.

#### Parameters

`stream`

  Type: `CamelStream`

  No description available.

  The data is owned by the caller of the method.

`mode`

  Type: `CamelStreamBufferMode`

  No description available.

`buf`

  Type: `gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `guint32`

  No description available.